### File

`packages/eui-ecl/packages/core/src/lib/services/ecl-language.service.ts`

### Index

###### Methods
Abstract getAllLanguageCodes Abstract getAllLanguages Abstract getEULanguageCodes Abstract getEULanguages Abstract getLanguageByCode Abstract getLanguagesByCodes Abstract isEuLanguage

### Methods

Abstract getAllLanguageCodes
`getAllLanguageCodes()`
Returns : `Array<string>`

Abstract getAllLanguages
`getAllLanguages()`
Returns : `Array<EclLanguage>`

Abstract getEULanguageCodes
`getEULanguageCodes()`
Returns : `Array<string>`

Abstract getEULanguages
`getEULanguages()`
Returns : `Array<EclLanguage>`

Abstract getLanguageByCode
`getLanguageByCode(code: string)`
Parameters :
Name | Type | Optional
code | `string` | No
Returns : `EclLanguage`

Abstract getLanguagesByCodes
`getLanguagesByCodes(codes: Array)`
Parameters :
Name | Type | Optional
codes | `Array<string>` | No
Returns : `Array<EclLanguage>`

Abstract isEuLanguage
`isEuLanguage(code: string)`
Parameters :
Name | Type | Optional
code | `string` | No
Returns : `boolean`

# result-matching ""

# No results matching ""